| Kea 3.0.2-git

isc::asiodns::IOFetch::Callback Class Referenceabstract

I/O Fetch Callback. More...

`#include <io_fetch.h>`

Inheritance diagram for isc::asiodns::IOFetch::Callback:
[legend]

## Public Member Functions
| Callback ()=default
| Constructor.
virtual | ~Callback ()=default
| Destructor.
virtual void | operator() (Result result)=0
| Callback method.

## Detailed Description

I/O Fetch Callback.

Class of callback object for when the fetch itself has completed - an object of this class is passed to the IOFetch constructor and its operator() method called when the fetch completes.

Note
  The difference between the two operator() methods:
  - IOFetch::operator() callback is called when an asynchronous I/O has completed.
  - IOFetch::Callback::operator() is called when an upstream fetch - which may have involved several asynchronous I/O operations - has completed.

This is an abstract class.

Definition at line 85 of file io_fetch.h.

## Constructor & Destructor Documentation

## ◆ Callback()

isc::asiodns::IOFetch::Callback::Callback | ( |  | ) |
| default

Constructor.

## ◆ ~Callback()

virtual isc::asiodns::IOFetch::Callback::~Callback | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ operator()()

virtual void isc::asiodns::IOFetch::Callback::operator() | ( | Result | result | ) |
| pure virtual

Callback method.

This method is called when the fetch completes.

Parameters

  result | Result of the fetch.

Implemented in isc::d2::DNSClientImpl, and isc::gss_tsig::TKeyExchangeImpl.

The documentation for this class was generated from the following file:

- io_fetch.h